## org.eclipse.datatools.modelbase.sql.query
Interface QueryExpressionBody

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, SQLObject, SQLQueryObject, TableExpression, TableReference

All Known Subinterfaces:
  QueryCombined, QueryNested, QuerySelect, QueryValues

    public interface QueryExpressionBody

extends TableExpression

A representation of the model object 'Expression Body'.

The following features are supported:

- `Row Fetch Limit`
- `Query Expression`
- `Combined Left`
- `Combined Right`
- `Predicate Exists`
- `Update Source Query`
- `With Table Specification`
- `Query Nest`
- `Sort Spec List`

See Also:
  `SQLQueryModelPackage.getQueryExpressionBody()`

Method Summary
`QueryCombined` `getCombinedLeft()` Returns the value of the 'Combined Left' container reference.
`QueryCombined` `getCombinedRight()` Returns the value of the 'Combined Right' container reference.
`PredicateExists` `getPredicateExists()` Returns the value of the 'Predicate Exists' container reference.
`QueryExpressionRoot` `getQueryExpression()` Returns the value of the 'Query Expression' container reference.
`QueryNested` `getQueryNest()` Returns the value of the 'Query Nest' container reference.
`int` `getRowFetchLimit()` Returns the value of the 'Row Fetch Limit' attribute.
`org.eclipse.emf.common.util.EList` `getSortSpecList()` Returns the value of the 'Sort Spec List' containment reference list.
`UpdateSourceQuery` `getUpdateSourceQuery()` Returns the value of the 'Update Source Query' container reference.
`WithTableSpecification` `getWithTableSpecification()` Returns the value of the 'With Table Specification' container reference.
`void` `setCombinedLeft(QueryCombined value)` Sets the value of the '`Combined Left`' container reference.
`void` `setCombinedRight(QueryCombined value)` Sets the value of the '`Combined Right`' container reference.
`void` `setPredicateExists(PredicateExists value)` Sets the value of the '`Predicate Exists`' container reference.
`void` `setQueryExpression(QueryExpressionRoot value)` Sets the value of the '`Query Expression`' container reference.
`void` `setQueryNest(QueryNested value)` Sets the value of the '`Query Nest`' container reference.
`void` `setRowFetchLimit(int value)` Sets the value of the '`Row Fetch Limit`' attribute.
`void` `setUpdateSourceQuery(UpdateSourceQuery value)` Sets the value of the '`Update Source Query`' container reference.
`void` `setWithTableSpecification(WithTableSpecification value)` Sets the value of the '`With Table Specification`' container reference.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.TableExpression
`getColumnList, getMergeTargetTable, getResultTableAllColumns, getTableCorrelation, getValueExprColumns, setMergeTargetTable, setTableCorrelation`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.TableReference
`getMergeSourceTable, getNest, getQuerySelect, getTableJoinedLeft, getTableJoinedRight, setMergeSourceTable, setNest, setQuerySelect, setTableJoinedLeft, setTableJoinedRight`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getRowFetchLimit

    int getRowFetchLimit()

  Returns the value of the 'Row Fetch Limit' attribute.

  If the meaning of the 'Row Fetch Limit' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Row Fetch Limit' attribute.
  See Also:
    `setRowFetchLimit(int)`, `SQLQueryModelPackage.getQueryExpressionBody_RowFetchLimit()`

### setRowFetchLimit

    void setRowFetchLimit(int value)

  Sets the value of the '`Row Fetch Limit`' attribute.

  Parameters:
    `value` - the new value of the 'Row Fetch Limit' attribute.
  See Also:
    `getRowFetchLimit()`

### getQueryExpression

    QueryExpressionRoot getQueryExpression()

  Returns the value of the 'Query Expression' container reference. It is bidirectional and its opposite is '`Query`'.

  If the meaning of the 'Query Expression' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Query Expression' container reference.
  See Also:
    `setQueryExpression(QueryExpressionRoot)`, `SQLQueryModelPackage.getQueryExpressionBody_QueryExpression()`, `QueryExpressionRoot.getQuery()`

### setQueryExpression

    void setQueryExpression(QueryExpressionRoot value)

  Sets the value of the '`Query Expression`' container reference.

  Parameters:
    `value` - the new value of the 'Query Expression' container reference.
  See Also:
    `getQueryExpression()`

### getCombinedLeft

    QueryCombined getCombinedLeft()

  Returns the value of the 'Combined Left' container reference. It is bidirectional and its opposite is '`Left Query`'.

  If the meaning of the 'Combined Left' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Combined Left' container reference.
  See Also:
    `setCombinedLeft(QueryCombined)`, `SQLQueryModelPackage.getQueryExpressionBody_CombinedLeft()`, `QueryCombined.getLeftQuery()`

### setCombinedLeft

    void setCombinedLeft(QueryCombined value)

  Sets the value of the '`Combined Left`' container reference.

  Parameters:
    `value` - the new value of the 'Combined Left' container reference.
  See Also:
    `getCombinedLeft()`

### getCombinedRight

    QueryCombined getCombinedRight()

  Returns the value of the 'Combined Right' container reference. It is bidirectional and its opposite is '`Right Query`'.

  If the meaning of the 'Combined Right' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Combined Right' container reference.
  See Also:
    `setCombinedRight(QueryCombined)`, `SQLQueryModelPackage.getQueryExpressionBody_CombinedRight()`, `QueryCombined.getRightQuery()`

### setCombinedRight

    void setCombinedRight(QueryCombined value)

  Sets the value of the '`Combined Right`' container reference.

  Parameters:
    `value` - the new value of the 'Combined Right' container reference.
  See Also:
    `getCombinedRight()`

### getPredicateExists

    PredicateExists getPredicateExists()

  Returns the value of the 'Predicate Exists' container reference. It is bidirectional and its opposite is '`Query Expr`'.

  If the meaning of the 'Predicate Exists' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Predicate Exists' container reference.
  See Also:
    `setPredicateExists(PredicateExists)`, `SQLQueryModelPackage.getQueryExpressionBody_PredicateExists()`, `PredicateExists.getQueryExpr()`

### setPredicateExists

    void setPredicateExists(PredicateExists value)

  Sets the value of the '`Predicate Exists`' container reference.

  Parameters:
    `value` - the new value of the 'Predicate Exists' container reference.
  See Also:
    `getPredicateExists()`

### getUpdateSourceQuery

    UpdateSourceQuery getUpdateSourceQuery()

  Returns the value of the 'Update Source Query' container reference. It is bidirectional and its opposite is '`Query Expr`'.

  If the meaning of the 'Update Source Query' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Update Source Query' container reference.
  See Also:
    `setUpdateSourceQuery(UpdateSourceQuery)`, `SQLQueryModelPackage.getQueryExpressionBody_UpdateSourceQuery()`, `UpdateSourceQuery.getQueryExpr()`

### setUpdateSourceQuery

    void setUpdateSourceQuery(UpdateSourceQuery value)

  Sets the value of the '`Update Source Query`' container reference.

  Parameters:
    `value` - the new value of the 'Update Source Query' container reference.
  See Also:
    `getUpdateSourceQuery()`

### getWithTableSpecification

    WithTableSpecification getWithTableSpecification()

  Returns the value of the 'With Table Specification' container reference. It is bidirectional and its opposite is '`With Table Query Expr`'.

  If the meaning of the 'With Table Specification' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'With Table Specification' container reference.
  See Also:
    `setWithTableSpecification(WithTableSpecification)`, `SQLQueryModelPackage.getQueryExpressionBody_WithTableSpecification()`, `WithTableSpecification.getWithTableQueryExpr()`

### setWithTableSpecification

    void setWithTableSpecification(WithTableSpecification value)

  Sets the value of the '`With Table Specification`' container reference.

  Parameters:
    `value` - the new value of the 'With Table Specification' container reference.
  See Also:
    `getWithTableSpecification()`

### getQueryNest

    QueryNested getQueryNest()

  Returns the value of the 'Query Nest' container reference. It is bidirectional and its opposite is '`Nested Query`'.

  If the meaning of the 'Query Nest' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Query Nest' container reference.
  See Also:
    `setQueryNest(QueryNested)`, `SQLQueryModelPackage.getQueryExpressionBody_QueryNest()`, `QueryNested.getNestedQuery()`

### setQueryNest

    void setQueryNest(QueryNested value)

  Sets the value of the '`Query Nest`' container reference.

  Parameters:
    `value` - the new value of the 'Query Nest' container reference.
  See Also:
    `getQueryNest()`

### getSortSpecList

    org.eclipse.emf.common.util.EList getSortSpecList()

  Returns the value of the 'Sort Spec List' containment reference list. The list contents are of type `OrderBySpecification`. It is bidirectional and its opposite is '`Query`'.

  If the meaning of the 'Sort Spec List' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Sort Spec List' containment reference list.
  See Also:
    `SQLQueryModelPackage.getQueryExpressionBody_SortSpecList()`, `OrderBySpecification.getQuery()`